## pcp 6.2.2

=== debian/changelog ===
pcp (6.2.2-1) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Fix build dependency on [lib]systemd-dev (closes: #1060493)
  * Relocate pmcheck to resolve a Perl conflict (closes: #1071010)

 -- Nathan Scott <nathans@debian.org>  Wed, 15 May 2024 06:22:01 +1000

pcp (6.2.1-1) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Drop BCC metrics as python3-bpfcc is no more (closes: #1068389)

 -- Nathan Scott <nathans@debian.org>  Wed, 10 Apr 2024 09:14:46 +1000

=== debian/control ===
Source: pcp
Section: utils
Priority: extra
Homepage: https://pcp.io
Maintainer: PCP Development Team <pcp@groups.io>
Uploaders: Nathan Scott <nathans@debian.org>, Ken McDonell <kenj@kenj.id.au>
Build-Depends: bison, flex, gawk, procps, pkg-config, debhelper (>= 5), perl (>= 5.6), libreadline-dev | libreadline5-dev | libreadline-gplv2-dev, chrpath, libbsd-dev [kfreebsd-any], libkvm-dev [kfreebsd-any], python3-dev, libsasl2-dev, libuv1-dev, libssl-dev, libavahi-common-dev, qtbase5-dev, qtbase5-dev-tools, libqt5svg5-dev, qtchooser, autotools-dev, zlib1g-dev, autoconf, libclass-dbi-perl, libdbd-mysql-perl, python3-psycopg2, python3-openpyxl, dh-python, libpfm4-dev, libncurses5-dev, python3-six, python3-json-pointer, python3-requests, libextutils-autoinstall-perl, libxml-tokeparser-perl, librrds-perl, libjson-perl, libwww-perl, libnet-snmp-perl, liblzma-dev, systemd, systemd-dev | libsystemd-dev, python3-bpfcc [amd64 arm64 armhf ppc64el s390x ppc64], bpftrace (>= 0.9.2) [amd64 arm64 ppc64el], clang, llvm, libbpf-dev (>= 0.8.0), libibumad-dev, libibmad-dev, manpages
Standards-Version: 3.9.3
X-Python3-Version: >= 3.3

Package: pcp
Depends: ${shlibs:Depends}, ${misc:Depends}, gawk, procps, python3-pcp, python3, libpcp-pmda3 (= ${binary:Version}), libpcp-mmv1 (= ${binary:Version}), libpcp-web1 (= ${binary:Version}), libpcp-archive1 (= ${binary:Version}), libpcp3 (= ${binary:Version})
Recommends: libpcp-pmda-perl
Conflicts: pgpool2, dstat, pcp-webapi, pcp-manager
Suggests: pcp-gui, libpcp-import-perl, bpftrace (>= 0.9.2) [amd64 arm64 ppc64el], python3-bpfcc [amd64 arm64 armhf ppc64el s390x ppc64], redis-server
Provides: dstat, pcp-webapi, pcp-manager
Replaces: dstat, pcp-webapi, pcp-manager
Architecture: any
Description: System level performance monitoring and performance management
 Performance Co-Pilot (PCP) is a framework and services to
 support system-level performance monitoring and performance
 management.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: pcp-conf
Depends: ${misc:Depends}
Breaks: libpcp3 (<< 3.9.0), pcp (<< 4.0.1)
Section: libs
Architecture: any
Description: Performance Co-Pilot runtime configuration
 The pcp-conf package contains important runtime configuration
 files required by all programs and libraries that make up the
 Performance Co-Pilot (PCP) toolkit.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp3-dev
Section: libdevel
Depends: ${misc:Depends}, libpcp3 (= ${binary:Version}), libc6-dev | libc-dev
Breaks: pcp (<< 4.3.4), libpcp-gui2-dev (<< 3.11.10~), pcp-webapi (<< 5.0.0), pcp-manager (<< 5.2.0)
Replaces: libpcp-gui2-dev (<< 3.11.10~), pcp-webapi (<< 5.0.0), pcp-manager (<< 5.2.0)
Architecture: any
Description: Performance Co-Pilot library and headers
 The libpcp-dev package contains the base Performance Co-Pilot (PCP)
 library and header files needed to develop collector and monitor
 programs which make use of PCP services.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp3
Depends: ${shlibs:Depends}, ${misc:Depends}, pcp-conf (= ${binary:Version})
Conflicts: pgpool2
Breaks: pcp (<< 2.8.0), libpcp3-dev (<< 2.8.5)
Section: libs
Architecture: any
Description: Performance Co-Pilot library
 The libpcp package contains the runtime environment required by
 programs that make use of Performance Co-Pilot (PCP) services.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-gui2-dev
Section: libdevel
Depends: ${misc:Depends}, libpcp-gui2 (= ${binary:Version}), libpcp3 (= ${binary:Version})
Conflicts: libpcp-gui1-dev
Architecture: any
Description: Performance Co-Pilot graphical client tools library and headers
 The libpcp-gui-dev package contains the Performance Co-Pilot (PCP)
 library and header files needed to incorporate graphical time control
 (pmtime) into a monitoring application.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-gui2
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: libs
Architecture: any
Description: Performance Co-Pilot graphical client tools library
 The libpcp-gui package contains the runtime environment required by any
 monitoring tool that makes use of the time control services of pmtime(1).
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-mmv1-dev
Section: libdevel
Depends: ${misc:Depends}, libpcp-mmv1 (= ${binary:Version}), libpcp3 (= ${binary:Version})
Architecture: any
Description: Performance Co-Pilot Memory Mapped Value library and headers
 The libpcp-mmv-dev package contains the Performance Co-Pilot (PCP)
 library and header files needed to utilise memory mapped value
 instrumentation into a monitored application.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-mmv1
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: libs
Architecture: any
Description: Performance Co-Pilot Memory Mapped Value client library
 The libpcp-mmv package contains the runtime environment required by an
 application that utilises Memory Mapped Value instrumentation to export
 runtime instrumentation into the Performance Co-Pilot infrastructure.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-pmda3-dev
Section: libdevel
Depends: ${misc:Depends}, libpcp-pmda3 (= ${binary:Version}), libpcp3 (= ${binary:Version})
Breaks: pcp (<< 2.8.0), libpcp3-dev (<< 3.11.10~)
Replaces: libpcp3-dev (<< 3.11.10~)
Architecture: any
Description: Performance Co-Pilot Domain Agent library and headers
 The libpcp-pmda-dev package contains the Performance Co-Pilot (PCP)
 library and header files needed to develop Performance Metric Domain
 Agents (PMDAs).  Each PMDA exports performance data for one domain;
 for example the operating system kernel, Cisco routers, a database,
 an application, etc.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-pmda3
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: libs
Architecture: any
Description: Performance Co-Pilot Domain Agent library
 The libpcp-pmda package contains the runtime environment required by
 a Performance Metric Domain Agent (PMDA).  A PMDA exports performance
 data for one specific domain, for example the operating system kernel,
 DNS, SMTP, Cisco router, a database, an application, etc.

Package: libpcp-trace2-dev
Section: libdevel
Depends: ${misc:Depends}, libpcp-trace2 (= ${binary:Version}), libpcp3 (= ${binary:Version})
Breaks: pcp (<< 2.8.0)
Architecture: any
Description: Performance Co-Pilot application tracing library and headers
 The libpcp-trace-dev package contains the Performance Co-Pilot (PCP)
 library and header files needed to directly instrument an application
 for event and value tracking by the pmdatrace(1) PCP Trace Performance
 Metric Domain Agent.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-trace2
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: libs
Architecture: any
Description: Performance Co-Pilot application tracing library
 The libpcp-trace package contains the runtime environment required by
 an application that is directly instrumented for event and value
 tracking by pmdatrace(3), the Trace Performance Metric Domain Agent.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-import1-dev
Section: libdevel
Depends: ${misc:Depends}, libpcp-import1 (= ${binary:Version}), libpcp3-dev
Architecture: any
Description: Performance Co-Pilot data import library and headers
 The libpcp-import-dev package contains the library and header files
 needed to build an application that imports performance data from
 a file or real-time source and creates a Performance Co-Pilot (PCP)
 archive suitable for use with the PCP tools.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-import1
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: libs
Architecture: any
Description: Performance Co-Pilot data import library
 The libpcp-import package contains the runtime environment required
 by an application that imports performance data from a file or
 real-time source and creates a Performance Co-Pilot (PCP) archive
 suitable for use with the PCP tools.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.
 
Package: libpcp-web1-dev
Section: libdevel
Depends: ${misc:Depends}, libpcp-web1 (= ${binary:Version}), libpcp3-dev
Architecture: any
Description: Performance Co-Pilot web tooling
 The libpcp-web-dev package contains the library and header files
 needed to build a PMDA which parses and extracts metric data from
 a JSON file.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-web1
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: libs
Architecture: any
Description: Performance Co-Pilot data import library
 The libpcp-web package contains the runtime environment required
 by a PMDA to parse and extract metric data from a JSON file.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-archive1-dev
Section: libdevel
Depends: ${misc:Depends}, libpcp-archive1 (= ${binary:Version}), libpcp3-dev
Architecture: any
Description: Performance Co-Pilot archive writing library and headers
 The libpcp-archive-dev package contains the library and header files
 needed to build an application that creates a Performance Co-Pilot
 (PCP) archive suitable for use with the PCP tools.
 .
 The Performance Co-Pilot provides a unifying abstraction for
 all of the interesting performance data in a system, and allows
 client applications to easily retrieve and process any subset of
 that data.

Package: libpcp-archive1
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: libs
Breaks: pcp (<< 6.0.1)
Architecture: any
Description: Performance Co-Pilot archive writing library

## pcp 6.3.0

=== debian/control ===
--- 
+++ 
@@ -59,7 +59,7 @@
 
 Package: libpcp3
 Depends: ${shlibs:Depends}, ${misc:Depends}, pcp-conf (= ${binary:Version})
-Conflicts: pgpool2
+Conflicts: pgpool2, libpcp3t64
 Breaks: pcp (<< 2.8.0), libpcp3-dev (<< 2.8.5)
 Section: libs
 Architecture: any
@@ -89,6 +89,7 @@
 
 Package: libpcp-gui2
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libpcp-gui2t64
 Section: libs
 Architecture: any
 Description: Performance Co-Pilot graphical client tools library
@@ -116,6 +117,7 @@
 
 Package: libpcp-mmv1
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libpcp-mmv1t64
 Section: libs
 Architecture: any
 Description: Performance Co-Pilot Memory Mapped Value client library
@@ -148,6 +150,7 @@
 
 Package: libpcp-pmda3
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Conflicts: libpcp-pmda3t64
 Section: libs
 Architecture: any
 Description: Performance Co-Pilot Domain Agent library
@@ -174,6 +177,7 @@
 
 Package: libpcp-trace2
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Conflicts: libpcp-trace2t64
 Section: libs
 Architecture: any
 Description: Performance Co-Pilot application tracing library
@@ -203,6 +207,7 @@
 
 Package: libpcp-import1
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Conflicts: libpcp-import1t64
 Section: libs
 Architecture: any
 Description: Performance Co-Pilot data import library
@@ -232,6 +237,7 @@
 
 Package: libpcp-web1
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Conflicts: libpcp-web1t64
 Section: libs
 Architecture: any
 Description: Performance Co-Pilot data import library
@@ -257,9 +263,3 @@
  client applications to easily retrieve and process any subset of
  that data.
 
-Package: libpcp-archive1
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Section: libs
-Breaks: pcp (<< 6.0.1)
-Architecture: any
-Description: Performance Co-Pilot archive writing library

## pcp 6.3.1

=== debian/changelog ===
pcp (6.3.1-1) unstable; urgency=low

  * New release (full details in CHANGELOG).
  * Fix build dependency on python3-setuptools (closes: #1080703)

 -- Nathan Scott <nathans@debian.org>  Tue, 17 Sep 2024 10:27:34 +1000

pcp (6.3.0-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Tue, 30 Jul 2024 09:18:12 +1000

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Homepage: https://pcp.io
 Maintainer: PCP Development Team <pcp@groups.io>
 Uploaders: Nathan Scott <nathans@debian.org>, Ken McDonell <kenj@kenj.id.au>
-Build-Depends: bison, flex, gawk, procps, pkg-config, debhelper (>= 5), perl (>= 5.6), libreadline-dev | libreadline5-dev | libreadline-gplv2-dev, chrpath, libbsd-dev [kfreebsd-any], libkvm-dev [kfreebsd-any], python3-dev, libsasl2-dev, libuv1-dev, libssl-dev, libavahi-common-dev, qtbase5-dev, qtbase5-dev-tools, libqt5svg5-dev, qtchooser, autotools-dev, zlib1g-dev, autoconf, libclass-dbi-perl, libdbd-mysql-perl, python3-psycopg2, python3-openpyxl, dh-python, libpfm4-dev, libncurses5-dev, python3-six, python3-json-pointer, python3-requests, libextutils-autoinstall-perl, libxml-tokeparser-perl, librrds-perl, libjson-perl, libwww-perl, libnet-snmp-perl, liblzma-dev, systemd, systemd-dev | libsystemd-dev, python3-bpfcc [amd64 arm64 armhf ppc64el s390x ppc64], bpftrace (>= 0.9.2) [amd64 arm64 ppc64el], clang, llvm, libbpf-dev (>= 0.8.0), libibumad-dev, libibmad-dev, manpages
+Build-Depends: bison, flex, gawk, procps, pkg-config, debhelper (>= 5), perl (>= 5.6), libreadline-dev | libreadline5-dev | libreadline-gplv2-dev, chrpath, libbsd-dev [kfreebsd-any], libkvm-dev [kfreebsd-any], python3-dev, python3-setuptools, libsasl2-dev, libuv1-dev, libssl-dev, libavahi-common-dev, qtbase5-dev, qtbase5-dev-tools, libqt5svg5-dev, qtchooser, autotools-dev, zlib1g-dev, autoconf, libclass-dbi-perl, libdbd-mysql-perl, python3-psycopg2, python3-openpyxl, dh-python, libpfm4-dev, libncurses5-dev, python3-six, python3-json-pointer, python3-requests, libextutils-autoinstall-perl, libxml-tokeparser-perl, librrds-perl, libjson-perl, libwww-perl, libnet-snmp-perl, liblzma-dev, systemd, systemd-dev | libsystemd-dev, python3-bpfcc [amd64 arm64 armhf ppc64el s390x ppc64], bpftrace (>= 0.9.2) [amd64 arm64 ppc64el], clang, llvm, libbpf-dev (>= 0.8.0), libibumad-dev, libibmad-dev, manpages
 Standards-Version: 3.9.3
 X-Python3-Version: >= 3.3
 
 Package: pcp
-Depends: ${shlibs:Depends}, ${misc:Depends}, gawk, procps, python3-pcp, python3, libpcp-pmda3 (= ${binary:Version}), libpcp-mmv1 (= ${binary:Version}), libpcp-web1 (= ${binary:Version}), libpcp-archive1 (= ${binary:Version}), libpcp3 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, gawk, procps, python3-pcp, python3, libpcp-pmda3 (= ${binary:Version}), libpcp-mmv1 (= ${binary:Version}), libpcp-web1 (= ${binary:Version}), libpcp-archive1 (= ${binary:Version}), libpcp3 (= ${binary:Version}), pcp-conf (>= 6.3.1)
 Recommends: libpcp-pmda-perl
 Conflicts: pgpool2, dstat, pcp-webapi, pcp-manager
 Suggests: pcp-gui, libpcp-import-perl, bpftrace (>= 0.9.2) [amd64 arm64 ppc64el], python3-bpfcc [amd64 arm64 armhf ppc64el s390x ppc64], redis-server
@@ -28,7 +28,8 @@
 
 Package: pcp-conf
 Depends: ${misc:Depends}
-Breaks: libpcp3 (<< 3.9.0), pcp (<< 4.0.1)
+Breaks: libpcp3 (<< 3.9.0), pcp (<< 6.3.1)
+Replaces: pcp (<< 6.3.1)
 Section: libs
 Architecture: any
 Description: Performance Co-Pilot runtime configuration
@@ -260,6 +261,3 @@
  .
  The Performance Co-Pilot provides a unifying abstraction for
  all of the interesting performance data in a system, and allows
- client applications to easily retrieve and process any subset of
- that data.
-

=== debian/rules ===
#!/usr/bin/make -f

pcp = pcp
pcpcfg = pcp-conf
libpcp = libpcp3
libpcpdev = libpcp3-dev
libpcp_pmda = libpcp-pmda3
libpcp_pmdadev = libpcp-pmda3-dev
libpcp_pmda_perl = libpcp-pmda-perl
libpcp_import_perl = libpcp-import-perl
pcp_logsummary_perl = libpcp-logsummary-perl
libpcp_gui = libpcp-gui2
libpcp_guidev = libpcp-gui2-dev
libpcp_mmv = libpcp-mmv1
libpcp_mmvdev = libpcp-mmv1-dev
libpcp_mmv_perl = libpcp-mmv-perl
libpcp_trace = libpcp-trace2
libpcp_tracedev = libpcp-trace2-dev
libpcp_import = libpcp-import1
libpcp_importdev = libpcp-import1-dev
libpcp_web = libpcp-web1
libpcp_webdev = libpcp-web1-dev
pcp_import_sar = pcp-import-sar2pcp
pcp_import_ganglia = pcp-import-ganglia2pcp
pcp_import_mrtg = pcp-import-mrtg2pcp
pcp_import_sheet = pcp-import-sheet2pcp
pcp_import_iostat = pcp-import-iostat2pcp
pcp_import_collectl = pcp-import-collectl2pcp
pcp_export_elasticsearch = pcp-export-pcp2elasticsearch
pcp_export_graphite = pcp-export-pcp2graphite
pcp_export_influxdb = pcp-export-pcp2influxdb
pcp_export_json = pcp-export-pcp2json
pcp_export_arrow = pcp-export-pcp2arrow
pcp_export_spark = pcp-export-pcp2spark
pcp_export_xlsx = pcp-export-pcp2xlsx
pcp_export_xml = pcp-export-pcp2xml
pcp_export_zabbix = pcp-export-pcp2zabbix
pcp_export_zabbix_agent = pcp-export-zabbix-agent
pcp_pmda_infiniband = pcp-pmda-infiniband
pcp_testsuite = pcp-testsuite
pcp_zeroconf = pcp-zeroconf
pcp_python3 = python3-pcp
pcpgui = pcp-gui
pcpdoc = pcp-doc

dirpcp = debian/$(pcp)
dirpcpcfg = debian/$(pcpcfg)
dirlibpcp = debian/$(libpcp)
dirlibpcpdev = debian/$(libpcpdev)
dirlibpcp_pmda = debian/$(libpcp_pmda)
dirlibpcp_pmdadev = debian/$(libpcp_pmdadev)
dirlibpcp_pmda_perl = debian/$(libpcp_pmda_perl)
dirlibpcp_import_perl = debian/$(libpcp_import_perl)
dirpcp_logsummary_perl = debian/$(pcp_logsummary_perl)
dirlibpcp_gui = debian/$(libpcp_gui)
dirlibpcp_guidev = debian/$(libpcp_guidev)
dirlibpcp_mmv = debian/$(libpcp_mmv)
dirlibpcp_mmvdev = debian/$(libpcp_mmvdev)
dirlibpcp_mmv_perl = debian/$(libpcp_mmv_perl)
dirlibpcp_trace = debian/$(libpcp_trace)
dirlibpcp_tracedev = debian/$(libpcp_tracedev)
dirlibpcp_import = debian/$(libpcp_import)
dirlibpcp_importdev = debian/$(libpcp_importdev)
dirlibpcp_web = debian/$(libpcp_web)
dirlibpcp_webdev = debian/$(libpcp_webdev)
dirpcp_import_sar = debian/$(pcp_import_sar)
dirpcp_import_ganglia = debian/$(pcp_import_ganglia)
dirpcp_import_mrtg = debian/$(pcp_import_mrtg)
dirpcp_import_sheet = debian/$(pcp_import_sheet)
dirpcp_import_iostat = debian/$(pcp_import_iostat)
dirpcp_import_collectl = debian/$(pcp_import_collectl)
dirpcp_export_elasticsearch = debian/$(pcp_export_elasticsearch)
dirpcp_export_graphite = debian/$(pcp_export_graphite)
dirpcp_export_influxdb = debian/$(pcp_export_influxdb)
dirpcp_export_json = debian/$(pcp_export_json)
dirpcp_export_arrow = debian/$(pcp_export_arrow)
dirpcp_export_spark = debian/$(pcp_export_spark)
dirpcp_export_xlsx = debian/$(pcp_export_xlsx)
dirpcp_export_xml = debian/$(pcp_export_xml)
dirpcp_export_zabbix = debian/$(pcp_export_zabbix)
dirpcp_export_zabbix_agent = debian/$(pcp_export_zabbix_agent)
dirpcp_pmda_infiniband = debian/$(pcp_pmda_infiniband)
dirpcp_testsuite = debian/$(pcp_testsuite)
dirpcp_zeroconf = debian/$(pcp_zeroconf)
dirpcp_python3 = debian/$(pcp_python3)
dirgui = debian/$(pcpgui)
dirdoc = debian/$(pcpdoc)
allperldir = $(dirlibpcp_pmda_perl) $(dirlibpcp_import_perl) \
		$(dirpcp_logsummary_perl) $(dirlibpcp_mmv_perl)
alldir = $(dirpcp) $(dirpcpcfg) \
		$(dirlibpcp) $(dirlibpcpdev) \
		$(dirlibpcp_pmda) $(dirlibpcp_pmdadev) \
		$(dirlibpcp_trace) $(dirlibpcp_tracedev) \
		$(dirlibpcp_gui) $(dirlibpcp_guidev) \
		$(dirlibpcp_import) $(dirlibpcp_importdev) \
		$(dirlibpcp_web) $(dirlibpcp_webdev) \
		$(dirlibpcp_mmv) $(dirlibpcp_mmvdev) \
		$(dirpcp_import_sar) $(dirpcp_import_mrtg) \
		$(dirpcp_import_collectl) $(dirpcp_import_ganglia) \
		$(dirpcp_import_sheet) $(dirpcp_import_iostat) \
		$(dirpcp_testsuite) $(dirpcp_pmda_infiniband) \
		$(dirpcp_zeroconf) $(allperldir) $(dirpcp_python3)

zip = export GZIP=-9qn DIST_TMPFILES="`pwd`"/install.tmpfiles
pkgpcp = $(zip) NO_CHOWN=true DIST_ROOT="`pwd`"/$(dirpcp);
pkgpcpgui = $(zip) DIST_ROOT="`pwd`"/$(dirgui);
pkgpcpdoc = $(zip) DIST_ROOT="`pwd`"/$(dirdoc);
pkgpcpcfg = $(zip) DIST_ROOT="`pwd`"/$(dirpcpcfg);
pkglibpcp = $(zip) DIST_ROOT="`pwd`"/$(dirlibpcp);
pkglibpcp_gui = $(zip) DIST_ROOT="`pwd`"/$(dirlibpcp_gui);
pkglibpcp_mmv = $(zip) DIST_ROOT="`pwd`"/$(dirlibpcp_mmv);
pkglibpcp_pmda = $(zip) DIST_ROOT="`pwd`"/$(dirlibpcp_pmda);
pkglibpcp_trace = $(zip) DIST_ROOT="`pwd`"/$(dirlibpcp_trace);
pkglibpcp_import = $(zip) DIST_ROOT="`pwd`"/$(dirlibpcp_import);
pkglibpcp_web = $(zip) DIST_ROOT="`pwd`"/$(dirlibpcp_web);
pkglibpcp_mmv_perl = $(zip) DIST_ROOT="`pwd`"/$(dirlibpcp_mmv_perl);
pkglibpcp_pmda_perl = $(zip) DIST_ROOT="`pwd`"/$(dirlibpcp_pmda_perl);
pkglibpcp_import_perl = $(zip) DIST_ROOT="`pwd`"/$(dirlibpcp_import_perl);
pkgpcp_logsummary_perl = $(zip) DIST_ROOT="`pwd`"/$(dirpcp_logsummary_perl);
pkgpcp_import_sar = $(zip) DIST_ROOT="`pwd`"/$(dirpcp_import_sar);
pkgpcp_import_ganglia = $(zip) DIST_ROOT="`pwd`"/$(dirpcp_import_ganglia);
pkgpcp_import_mrtg = $(zip) DIST_ROOT="`pwd`"/$(dirpcp_import_mrtg);
pkgpcp_import_sheet = $(zip) DIST_ROOT="`pwd`"/$(dirpcp_import_sheet);
pkgpcp_import_iostat = $(zip) DIST_ROOT="`pwd`"/$(dirpcp_import_iostat);
pkgpcp_import_collectl = $(zip) DIST_ROOT="`pwd`"/$(dirpcp_import_collectl);
pkgpcp_export_elasticsearch = $(zip) DIST_ROOT="`pwd`"/$(dirpcp_export_elasticsearch);
pkgpcp_export_graphite = $(zip) DIST_ROOT="`pwd`"/$(dirpcp_export_graphite);
pkgpcp_export_influxdb = $(zip) DIST_ROOT="`pwd`"/$(dirpcp_export_influxdb);
pkgpcp_export_json = $(zip) DIST_ROOT="`pwd`"/$(dirpcp_export_json);
pkgpcp_export_arrow = $(zip) DIST_ROOT="`pwd`"/$(dirpcp_export_arrow);
pkgpcp_export_spark = $(zip) DIST_ROOT="`pwd`"/$(dirpcp_export_spark);
pkgpcp_export_xlsx = $(zip) DIST_ROOT="`pwd`"/$(dirpcp_export_xlsx);
pkgpcp_export_xml = $(zip) DIST_ROOT="`pwd`"/$(dirpcp_export_xml);
pkgpcp_export_zabbix = $(zip) DIST_ROOT="`pwd`"/$(dirpcp_export_zabbix);
pkgpcp_export_zabbix_agent = $(zip) DIST_ROOT="`pwd`"/$(dirpcp_export_zabbix_agent);
pkgpcp_pmda_infiniband = $(zip) DIST_ROOT="`pwd`"/$(dirpcp_pmda_infiniband);
pkgpcp_testsuite = $(zip) DIST_ROOT="`pwd`"/$(dirpcp_testsuite);
pkgpcp_zeroconf = $(zip) DIST_ROOT="`pwd`"/$(dirpcp_zeroconf);
pkgpcp_python3 = $(zip) DIST_ROOT="`pwd`"/$(dirpcp_python3);

configure_tools = export DEBUG=-DNDEBUG QT_SELECT=5;
# Note: configure options come from $(configure_paths) here, _plus_
#       any passed in from the environment via $(configure_opts)
#       ... Makepkgs uses the latter mechanism to refine the configure
#       options
#
configure_paths = --prefix=/usr --libexecdir=/usr/lib --sysconfdir=/etc --localstatedir=/var --with-rcdir=/etc/init.d --with-sysconfigdir=/etc/default --with-zip=/bin/gzip --with-tar=/bin/tar SED=/bin/sed ECHO=/bin/echo QMAKE=/usr/bin/qmake MAKEDEPEND=/bin/true BZIP2=/bin/bzip2

checkdir = test -f debian/rules
uninstall = cat debian/*.install | sed -e "s,^,$(dirpcp)/," | xargs rm -f
uninstallpy = cat python*-pcp.list | sed -e "s,^,$(dirpcp)/," | xargs rm -fr
uninstallpydir = ls -d $(dirpcp)/usr/lib*/python* | xargs rm -fr
uninstalltest = cat $(dirpcp_testsuite).dirs | sed -e "s,^,debian/$(pcp)/," | xargs rm -fr
uninstalldirs = rmdir $(dirpcp)/usr/include/pcp $(dirpcp)/usr/include $(dirpcp)/usr/share/man/man3 $(dirpcp)/usr/lib/pkgconfig
uninstallib = cat $(dirpcp_pmda_infiniband).dirs | sed -e "s,^,$(dirpcp)/," | xargs rm -fr
uninstallarrow = cat $(dirdoc).dirs | sed -e "s,^,$(dirpcp_export_arrow)/," | xargs rm -fr
uninstallspark = cat $(dirdoc).dirs | sed -e "s,^,$(dirpcp_export_spark)/," | xargs rm -fr
uninstallgui = cat $(dirgui).dirs | sed -e "s,^,$(dirpcp)/," | xargs rm -fr
unrpathperl = find $(allperldir) -name \*.so | xargs chrpath -d

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

build: build-arch build-indep

## pcp 6.3.3

=== docs/requirements.txt ===
sphinx-rtd-theme>=0.5.1
sphinxcontrib-redoc
sphinxcontrib-openapi

# temporary fix for AttributeError: module 'mistune' has no attribute 'BlockGrammar'
mistune<2.0.0

=== qa/perl/Makefile ===
cvalue:	cvalue.c
	$(CC) -o cvalue cvalue.c -lpcp

=== debian/changelog ===
pcp (6.3.3-1) unstable; urgency=low

  * 6.3.2 release plus fixes for Debian build issues
  * don't dink with /var/run/pcp in pcp.postinst (closes: #1071103)
  * avoid dangling systemd symlinks on purge (closes: #986074)
  * change to allow Rules-Requires-Root: no in build (closes: #1089409)

 -- Nathan Scott <nathans@debian.org>  Wed, 29 Jan 2025 09:25:03 +1100

pcp (6.3.2-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Wed, 06 Nov 2024 09:26:47 +1100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Homepage: https://pcp.io
 Maintainer: PCP Development Team <pcp@groups.io>
 Uploaders: Nathan Scott <nathans@debian.org>, Ken McDonell <kenj@kenj.id.au>
+Rules-Requires-Root: no
 Build-Depends: bison, flex, gawk, procps, pkg-config, debhelper (>= 5), perl (>= 5.6), libreadline-dev | libreadline5-dev | libreadline-gplv2-dev, chrpath, libbsd-dev [kfreebsd-any], libkvm-dev [kfreebsd-any], python3-dev, python3-setuptools, libsasl2-dev, libuv1-dev, libssl-dev, libavahi-common-dev, qtbase5-dev, qtbase5-dev-tools, libqt5svg5-dev, qtchooser, autotools-dev, zlib1g-dev, autoconf, libclass-dbi-perl, libdbd-mysql-perl, python3-psycopg2, python3-openpyxl, dh-python, libpfm4-dev, libncurses5-dev, python3-six, python3-json-pointer, python3-requests, libextutils-autoinstall-perl, libxml-tokeparser-perl, librrds-perl, libjson-perl, libwww-perl, libnet-snmp-perl, liblzma-dev, systemd, systemd-dev | libsystemd-dev, python3-bpfcc [amd64 arm64 armhf ppc64el s390x ppc64], bpftrace (>= 0.9.2) [amd64 arm64 ppc64el], clang, llvm, libbpf-dev (>= 0.8.0), libibumad-dev, libibmad-dev, manpages
 Standards-Version: 3.9.3
 X-Python3-Version: >= 3.3
 
 Package: pcp
-Depends: ${shlibs:Depends}, ${misc:Depends}, gawk, procps, python3-pcp, python3, libpcp-pmda3 (= ${binary:Version}), libpcp-mmv1 (= ${binary:Version}), libpcp-web1 (= ${binary:Version}), libpcp-archive1 (= ${binary:Version}), libpcp3 (= ${binary:Version}), pcp-conf (>= 6.3.1)
+Depends: ${shlibs:Depends}, ${misc:Depends}, gawk, procps, python3-pcp, python3, libpcp-pmda3 (= ${binary:Version}), libpcp-mmv1 (= ${binary:Version}), libpcp-web1 (= ${binary:Version}), libpcp-archive1 (= ${binary:Version}), libpcp3 (= ${binary:Version}), pcp-conf (= ${binary:Version})
 Recommends: libpcp-pmda-perl
 Conflicts: pgpool2, dstat, pcp-webapi, pcp-manager
 Suggests: pcp-gui, libpcp-import-perl, bpftrace (>= 0.9.2) [amd64 arm64 ppc64el], python3-bpfcc [amd64 arm64 armhf ppc64el s390x ppc64], redis-server
@@ -60,8 +61,9 @@
 
 Package: libpcp3
 Depends: ${shlibs:Depends}, ${misc:Depends}, pcp-conf (= ${binary:Version})
-Conflicts: pgpool2, libpcp3t64
-Breaks: pcp (<< 2.8.0), libpcp3-dev (<< 2.8.5)
+Conflicts: pgpool2
+Breaks: pcp (<< 2.8.0), libpcp3-dev (<< 2.8.5), libpcp3t64 (<< 6.3.2)
+Replaces: libpcp3t64 (<< 6.3.2)
 Section: libs
 Architecture: any
 Description: Performance Co-Pilot library
@@ -90,7 +92,8 @@
 
 Package: libpcp-gui2
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libpcp-gui2t64
+Breaks: libpcp-gui2t64 (<< 6.3.2)
+Replaces: libpcp-gui2t64 (<< 6.3.2)
 Section: libs
 Architecture: any
 Description: Performance Co-Pilot graphical client tools library
@@ -118,7 +121,8 @@
 
 Package: libpcp-mmv1
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libpcp-mmv1t64
+Breaks: libpcp-mmv1t64 (<< 6.3.2)
+Replaces: libpcp-mmv1t64 (<< 6.3.2)
 Section: libs
 Architecture: any
 Description: Performance Co-Pilot Memory Mapped Value client library
@@ -151,7 +155,8 @@
 
 Package: libpcp-pmda3
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Conflicts: libpcp-pmda3t64
+Breaks: libpcp-pmda3t64 (<< 6.3.2)
+Replaces: libpcp-pmda3t64 (<< 6.3.2)
 Section: libs
 Architecture: any
 Description: Performance Co-Pilot Domain Agent library
@@ -178,7 +183,8 @@
 
 Package: libpcp-trace2
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Conflicts: libpcp-trace2t64
+Breaks: libpcp-trace2t64 (<< 6.3.2)
+Replaces: libpcp-trace2t64 (<< 6.3.2)
 Section: libs
 Architecture: any
 Description: Performance Co-Pilot application tracing library
@@ -208,7 +214,8 @@
 
 Package: libpcp-import1
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Conflicts: libpcp-import1t64
+Breaks: libpcp-import1t64 (<< 6.3.2)
+Replaces: libpcp-import1t64 (<< 6.3.2)
 Section: libs
 Architecture: any
 Description: Performance Co-Pilot data import library
@@ -238,7 +245,8 @@
 
 Package: libpcp-web1
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Conflicts: libpcp-web1t64
+Breaks: libpcp-web1t64 (<< 6.3.2)
+Replaces: libpcp-web1t64 (<< 6.3.2)
 Section: libs
 Architecture: any
 Description: Performance Co-Pilot data import library
@@ -254,10 +262,3 @@
 Section: libdevel
 Depends: ${misc:Depends}, libpcp-archive1 (= ${binary:Version}), libpcp3-dev
 Architecture: any
-Description: Performance Co-Pilot archive writing library and headers
- The libpcp-archive-dev package contains the library and header files
- needed to build an application that creates a Performance Co-Pilot
- (PCP) archive suitable for use with the PCP tools.
- .
- The Performance Co-Pilot provides a unifying abstraction for
- all of the interesting performance data in a system, and allows

## pcp 6.3.7

=== debian/changelog ===
pcp (6.3.7-1) unstable; urgency=low

  * Updates toward a clean Debian build on i386 platform.

 -- Nathan Scott <nathans@debian.org>  Thu, 27 Mar 2025 17:04:19 +1100

pcp (6.3.4-1) unstable; urgency=low

  * New release (full details in CHANGELOG).

 -- Nathan Scott <nathans@debian.org>  Thu, 13 Mar 2025 12:09:42 +1100

## pcp 6.3.8

=== vendor/github.com/iovisor/bcc/libbpf-tools/Makefile ===
# SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause)
OUTPUT := $(abspath .output)
CLANG ?= clang
LLVM_STRIP ?= llvm-strip
BPFTOOL_SRC := $(abspath ./bpftool/src)
BPFTOOL_OUTPUT ?= $(abspath $(OUTPUT)/bpftool)
BPFTOOL ?= $(BPFTOOL_OUTPUT)/bootstrap/bpftool
LIBBPF_SRC := $(abspath ../src/cc/libbpf/src)
LIBBPF_OBJ := $(abspath $(OUTPUT)/libbpf.a)
LIBBLAZESYM_SRC := $(abspath blazesym/target/release/libblazesym.a)
INCLUDES := -I$(OUTPUT) -I../src/cc/libbpf/include/uapi
CFLAGS := -g -O2 -Wall
BPFCFLAGS := -g -O2 -Wall
INSTALL ?= install
prefix ?= /usr/local
bindir := $(prefix)/bin
ARCH ?= $(shell uname -m | sed 's/x86_64/x86/' | sed 's/aarch64/arm64/' \
			 | sed 's/ppc64le/powerpc/' | sed 's/mips.*/mips/' \
			 | sed 's/riscv64/riscv/' | sed 's/loongarch.*/loongarch/' \
			 | sed 's/s390x/s390/')
BTFHUB_ARCHIVE ?= $(abspath btfhub-archive)
ifeq ($(ARCH),x86)
CARGO ?= $(shell which cargo)
ifeq ($(strip $(CARGO)),)
USE_BLAZESYM ?= 0
else
USE_BLAZESYM ?= 1
endif
endif

ifeq ($(wildcard $(ARCH)/),)
$(error Architecture $(ARCH) is not supported yet. Please open an issue)
endif

BZ_APPS = \
	futexctn \
	memleak \
	opensnoop \
	#

APPS = \
	bashreadline \
	bindsnoop \
	biolatency \
	biopattern \
	biosnoop \
	biostacks \
	biotop \
	bitesize \
	cachestat \
	capable \
	cpudist \
	cpufreq \
	drsnoop \
	execsnoop \
	exitsnoop \
	filelife \
	filetop \
	fsdist \
	fsslower \
	funclatency \
	gethostlatency \
	hardirqs \
	javagc \
	klockstat \
	ksnoop \
	llcstat \
	mdflush \
	mountsnoop \
	numamove \
	offcputime \
	oomkill \
	profile \
	readahead \
	runqlat \
	runqlen \
	runqslower \
	sigsnoop \
	slabratetop \
	softirqs \
	solisten \
	statsnoop \
	syscount \
	tcptracer \
	tcpconnect \
	tcpconnlat \
	tcplife \
	tcppktlat \
	tcprtt \
	tcpstates \
	tcpsynbl \
	tcptop \
	vfsstat \
	wakeuptime \
	$(BZ_APPS) \
	#

# export variables that are used in Makefile.btfgen as well.
export OUTPUT BPFTOOL ARCH BTFHUB_ARCHIVE APPS

FSDIST_ALIASES = btrfsdist ext4dist nfsdist xfsdist f2fsdist
FSSLOWER_ALIASES = btrfsslower ext4slower nfsslower xfsslower f2fsslower
SIGSNOOP_ALIAS = killsnoop
APP_ALIASES = $(FSDIST_ALIASES) $(FSSLOWER_ALIASES) ${SIGSNOOP_ALIAS}

COMMON_OBJ = \
	$(OUTPUT)/trace_helpers.o \
	$(OUTPUT)/syscall_helpers.o \
	$(OUTPUT)/errno_helpers.o \
	$(OUTPUT)/map_helpers.o \
	$(OUTPUT)/uprobe_helpers.o \
	$(OUTPUT)/btf_helpers.o \
	$(OUTPUT)/compat.o \
	$(if $(ENABLE_MIN_CORE_BTFS),$(OUTPUT)/min_core_btf_tar.o) \
	#

ifeq ($(USE_BLAZESYM),1)
COMMON_OBJ += \
	$(OUTPUT)/libblazesym.a \
	$(OUTPUT)/blazesym.h \
	#
endif

define allow-override
  $(if $(or $(findstring environment,$(origin $(1))),\
            $(findstring command line,$(origin $(1)))),,\
    $(eval $(1) = $(2)))
endef

$(call allow-override,CC,$(CROSS_COMPILE)cc)
$(call allow-override,LD,$(CROSS_COMPILE)ld)

.PHONY: all
all: $(APPS) $(APP_ALIASES)

ifeq ($(V),1)
Q =
msg =
else
Q = @
msg = @printf '  %-8s %s%s\n' "$(1)" "$(notdir $(2))" "$(if $(3), $(3))";
MAKEFLAGS += --no-print-directory
endif

ifneq ($(EXTRA_CFLAGS),)
CFLAGS += $(EXTRA_CFLAGS)
endif
ifneq ($(EXTRA_LDFLAGS),)
LDFLAGS += $(EXTRA_LDFLAGS)
endif
ifeq ($(USE_BLAZESYM),1)
CFLAGS += -DUSE_BLAZESYM=1
endif

ifeq ($(USE_BLAZESYM),1)
LDFLAGS += $(OUTPUT)/libblazesym.a -lrt -lpthread -ldl
endif

.PHONY: clean
clean:
	$(call msg,CLEAN)
	$(Q)rm -rf $(OUTPUT) $(APPS) $(APP_ALIASES)

$(LIBBLAZESYM_SRC)::
	$(Q)cd blazesym && cargo build --release --features=cheader

$(OUTPUT)/libblazesym.a: $(LIBBLAZESYM_SRC) | $(OUTPUT)
	$(call msg,LIB,$@)
	$(Q)cp $(LIBBLAZESYM_SRC) $@

$(OUTPUT)/blazesym.h: $(LIBBLAZESYM_SRC) | $(OUTPUT)
	$(call msg,INC,$@)
	$(Q)cp blazesym/target/release/blazesym.h $@

$(OUTPUT) $(OUTPUT)/libbpf $(BPFTOOL_OUTPUT):
	$(call msg,MKDIR,$@)
	$(Q)mkdir -p $@

$(BPFTOOL): | $(BPFTOOL_OUTPUT)
	$(call msg,BPFTOOL,$@)
	$(Q)$(MAKE) ARCH= CROSS_COMPILE=  OUTPUT=$(BPFTOOL_OUTPUT)/ -C $(BPFTOOL_SRC) bootstrap

$(APPS): %: $(OUTPUT)/%.o $(COMMON_OBJ) $(LIBBPF_OBJ) | $(OUTPUT)
	$(call msg,BINARY,$@)
	$(Q)$(CC) $(CFLAGS) $^ $(LDFLAGS) -lelf -lz -o $@

ifeq ($(USE_BLAZESYM),1)
$(patsubst %,$(OUTPUT)/%.o,$(BZ_APPS)): $(OUTPUT)/blazesym.h
endif

$(patsubst %,$(OUTPUT)/%.o,$(APPS)): %.o: %.skel.h

$(OUTPUT)/%.o: %.c $(wildcard %.h) $(LIBBPF_OBJ) | $(OUTPUT)
	$(call msg,CC,$@)
	$(Q)$(CC) $(CFLAGS) $(INCLUDES) -c $(filter %.c,$^) -o $@

$(OUTPUT)/%.skel.h: $(OUTPUT)/%.bpf.o | $(OUTPUT) $(BPFTOOL)
	$(call msg,GEN-SKEL,$@)
	$(Q)$(BPFTOOL) gen skeleton $< > $@

$(OUTPUT)/%.bpf.o: %.bpf.c $(LIBBPF_OBJ) $(wildcard %.h) $(ARCH)/vmlinux.h | $(OUTPUT)
	$(call msg,BPF,$@)
	$(Q)$(CLANG) $(BPFCFLAGS) -target bpf -D__TARGET_ARCH_$(ARCH)	      \
		     -I$(ARCH)/ $(INCLUDES) -c $(filter %.c,$^) -o $@ &&      \
	$(LLVM_STRIP) -g $@

btfhub-archive: force
	$(call msg,GIT,$@)
	$(Q)[ -d "$(BTFHUB_ARCHIVE)" ] || git clone -q https://github.com/aquasecurity/btfhub-archive/ $(BTFHUB_ARCHIVE)
	$(Q)cd $(BTFHUB_ARCHIVE) && git pull

ifdef ENABLE_MIN_CORE_BTFS
$(OUTPUT)/min_core_btf_tar.o: $(patsubst %,$(OUTPUT)/%.bpf.o,$(APPS)) btfhub-archive | bpftool
	$(Q)$(MAKE) -f Makefile.btfgen
endif

# Build libbpf.a
$(LIBBPF_OBJ): $(wildcard $(LIBBPF_SRC)/*.[ch]) | $(OUTPUT)/libbpf
	$(call msg,LIB,$@)
	$(Q)$(MAKE) -C $(LIBBPF_SRC) BUILD_STATIC_ONLY=1		      \
		    OBJDIR=$(dir $@)libbpf DESTDIR=$(dir $@)		      \
		    INCLUDEDIR= LIBDIR= UAPIDIR=			      \
		    install

$(FSSLOWER_ALIASES): fsslower
	$(call msg,SYMLINK,$@)
	$(Q)ln -f -s $(APP_PREFIX)$^ $@

$(FSDIST_ALIASES): fsdist
	$(call msg,SYMLINK,$@)
	$(Q)ln -f -s $(APP_PREFIX)$^ $@

$(SIGSNOOP_ALIAS): sigsnoop
	$(call msg,SYMLINK,$@)
	$(Q)ln -f -s $(APP_PREFIX)$^ $@

install: $(APPS) $(APP_ALIASES)
	$(call msg, INSTALL libbpf-tools)
	$(Q)$(INSTALL) -m 0755 -d $(DESTDIR)$(bindir)
	$(Q)$(foreach app,$(APPS),$(INSTALL) $(app) $(DESTDIR)$(bindir)/$(APP_PREFIX)$(app);)
	$(Q)$(foreach alias,$(APP_ALIASES),cp -a $(alias) $(DESTDIR)$(bindir)/$(APP_PREFIX)$(alias);)

.PHONY: force
force:

# delete failed targets
.DELETE_ON_ERROR:
# keep intermediate (.skel.h, .bpf.o, etc) targets
.SECONDARY:

=== vendor/github.com/libbpf/bpftool/libbpf/src/Makefile ===
# SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause)

ifeq ($(V),1)
	Q =
	msg =
else
	Q = @
	msg = @printf '  %-8s %s%s\n' "$(1)" "$(2)" "$(if $(3), $(3))";
endif

LIBBPF_MAJOR_VERSION := 1
LIBBPF_MINOR_VERSION := 0
LIBBPF_PATCH_VERSION := 0
LIBBPF_VERSION := $(LIBBPF_MAJOR_VERSION).$(LIBBPF_MINOR_VERSION).$(LIBBPF_PATCH_VERSION)
LIBBPF_MAJMIN_VERSION := $(LIBBPF_MAJOR_VERSION).$(LIBBPF_MINOR_VERSION).0
LIBBPF_MAP_VERSION := $(shell grep -oE '^LIBBPF_([0-9.]+)' libbpf.map | sort -rV | head -n1 | cut -d'_' -f2)
ifneq ($(LIBBPF_MAJMIN_VERSION), $(LIBBPF_MAP_VERSION))
$(error Libbpf release ($(LIBBPF_VERSION)) and map ($(LIBBPF_MAP_VERSION)) versions are out of sync!)
endif

define allow-override
  $(if $(or $(findstring environment,$(origin $(1))),\
            $(findstring command line,$(origin $(1)))),,\
    $(eval $(1) = $(2)))
endef

$(call allow-override,CC,$(CROSS_COMPILE)cc)
$(call allow-override,LD,$(CROSS_COMPILE)ld)

TOPDIR = ..

INCLUDES := -I. -I$(TOPDIR)/include -I$(TOPDIR)/include/uapi
ALL_CFLAGS := $(INCLUDES)

SHARED_CFLAGS += -fPIC -fvisibility=hidden -DSHARED

CFLAGS ?= -g -O2 -Werror -Wall -std=gnu89
ALL_CFLAGS += $(CFLAGS) -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 $(EXTRA_CFLAGS)
ALL_LDFLAGS += $(LDFLAGS) $(EXTRA_LDFLAGS)

ifdef NO_PKG_CONFIG
	ALL_LDFLAGS += -lelf -lz
else
	PKG_CONFIG ?= pkg-config
	ALL_CFLAGS += $(shell $(PKG_CONFIG) --cflags libelf zlib)
	ALL_LDFLAGS += $(shell $(PKG_CONFIG) --libs libelf zlib)
endif

OBJDIR ?= .
SHARED_OBJDIR := $(OBJDIR)/sharedobjs
STATIC_OBJDIR := $(OBJDIR)/staticobjs
OBJS := bpf.o btf.o libbpf.o libbpf_errno.o netlink.o \
	nlattr.o str_error.o libbpf_probes.o bpf_prog_linfo.o \
	btf_dump.o hashmap.o ringbuf.o strset.o linker.o gen_loader.o \
	relo_core.o usdt.o
SHARED_OBJS := $(addprefix $(SHARED_OBJDIR)/,$(OBJS))
STATIC_OBJS := $(addprefix $(STATIC_OBJDIR)/,$(OBJS))

STATIC_LIBS := $(OBJDIR)/libbpf.a
ifndef BUILD_STATIC_ONLY
	SHARED_LIBS := $(OBJDIR)/libbpf.so \
		       $(OBJDIR)/libbpf.so.$(LIBBPF_MAJOR_VERSION) \
		       $(OBJDIR)/libbpf.so.$(LIBBPF_VERSION)
	VERSION_SCRIPT := libbpf.map
endif

HEADERS := bpf.h libbpf.h btf.h libbpf_common.h libbpf_legacy.h \
	   bpf_helpers.h bpf_helper_defs.h bpf_tracing.h \
	   bpf_endian.h bpf_core_read.h skel_internal.h libbpf_version.h \
	   usdt.bpf.h
UAPI_HEADERS := $(addprefix $(TOPDIR)/include/uapi/linux/,\
			    bpf.h bpf_common.h btf.h)

PC_FILE := $(OBJDIR)/libbpf.pc

INSTALL = install

DESTDIR ?=

ifeq ($(filter-out %64 %64be %64eb %64le %64el s390x, $(shell uname -m)),)
	LIBSUBDIR := lib64
else
	LIBSUBDIR := lib
endif

# By default let the pc file itself use ${prefix} in includedir/libdir so that
# the prefix can be overridden at runtime (eg: --define-prefix)
ifndef LIBDIR
	LIBDIR_PC := $$\{prefix\}/$(LIBSUBDIR)
else
	LIBDIR_PC := $(LIBDIR)
endif
PREFIX ?= /usr
LIBDIR ?= $(PREFIX)/$(LIBSUBDIR)
INCLUDEDIR ?= $(PREFIX)/include
UAPIDIR ?= $(PREFIX)/include

TAGS_PROG := $(if $(shell which etags 2>/dev/null),etags,ctags)

all: $(STATIC_LIBS) $(SHARED_LIBS) $(PC_FILE)

$(OBJDIR)/libbpf.a: $(STATIC_OBJS)
	$(call msg,AR,$@)
	$(Q)$(AR) rcs $@ $^

$(OBJDIR)/libbpf.so: $(OBJDIR)/libbpf.so.$(LIBBPF_MAJOR_VERSION)
	$(Q)ln -sf $(^F) $@

$(OBJDIR)/libbpf.so.$(LIBBPF_MAJOR_VERSION): $(OBJDIR)/libbpf.so.$(LIBBPF_VERSION)
	$(Q)ln -sf $(^F) $@

$(OBJDIR)/libbpf.so.$(LIBBPF_VERSION): $(SHARED_OBJS)
	$(call msg,CC,$@)
	$(Q)$(CC) -shared -Wl,--version-script=$(VERSION_SCRIPT) \
		  -Wl,-soname,libbpf.so.$(LIBBPF_MAJOR_VERSION) \
		  $^ $(ALL_LDFLAGS) -o $@

$(OBJDIR)/libbpf.pc: force
	$(Q)sed -e "s|@PREFIX@|$(PREFIX)|" \
		-e "s|@LIBDIR@|$(LIBDIR_PC)|" \
		-e "s|@VERSION@|$(LIBBPF_VERSION)|" \
		< libbpf.pc.template > $@

$(STATIC_OBJDIR) $(SHARED_OBJDIR):
	$(call msg,MKDIR,$@)
	$(Q)mkdir -p $@

$(STATIC_OBJDIR)/%.o: %.c | $(STATIC_OBJDIR)
	$(call msg,CC,$@)
	$(Q)$(CC) $(ALL_CFLAGS) $(CPPFLAGS) -c $< -o $@

$(SHARED_OBJDIR)/%.o: %.c | $(SHARED_OBJDIR)
	$(call msg,CC,$@)
	$(Q)$(CC) $(ALL_CFLAGS) $(SHARED_CFLAGS) $(CPPFLAGS) -c $< -o $@

define do_install
	$(call msg,INSTALL,$1)
	$(Q)if [ ! -d '$(DESTDIR)$2' ]; then		\
		$(INSTALL) -d -m 755 '$(DESTDIR)$2';	\
	fi;
	$(Q)$(INSTALL) $(if $3,-m $3,) $1 '$(DESTDIR)$2'
endef

# Preserve symlinks at installation.
define do_s_install
	$(call msg,INSTALL,$1)
	$(Q)if [ ! -d '$(DESTDIR)$2' ]; then		\
		$(INSTALL) -d -m 755 '$(DESTDIR)$2';	\
	fi;
	$(Q)cp -fR $1 '$(DESTDIR)$2'
endef

install: all install_headers install_pkgconfig
	$(call do_s_install,$(STATIC_LIBS) $(SHARED_LIBS),$(LIBDIR))

install_headers:
	$(call do_install,$(HEADERS),$(INCLUDEDIR)/bpf,644)

# UAPI headers can be installed by a different package so they're not installed
# in by install rule.
install_uapi_headers:
	$(call do_install,$(UAPI_HEADERS),$(UAPIDIR)/linux,644)

install_pkgconfig: $(PC_FILE)
	$(call do_install,$(PC_FILE),$(LIBDIR)/pkgconfig,644)

clean:
	$(call msg,CLEAN)
	$(Q)rm -rf *.o *.a *.so *.so.* *.pc $(SHARED_OBJDIR) $(STATIC_OBJDIR)

.PHONY: cscope tags force
cscope:
	$(call msg,CSCOPE)
	$(Q)ls *.c *.h > cscope.files
	$(Q)cscope -b -q -f cscope.out

tags:
	$(call msg,CTAGS)
	$(Q)rm -f TAGS tags
	$(Q)ls *.c *.h | xargs $(TAGS_PROG) -a

force:

=== debian/changelog ===
pcp (6.3.8-1) unstable; urgency=low

  * Do not re-generate debian/rules during the build (closes: #1102289)

 -- Nathan Scott <nathans@debian.org>  Fri, 11 Apr 2025 11:24:57 +1000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: pcp
 Section: utils
-Priority: extra
+Priority: optional
 Homepage: https://pcp.io
 Maintainer: PCP Development Team <pcp@groups.io>
 Uploaders: Nathan Scott <nathans@debian.org>, Ken McDonell <kenj@kenj.id.au>
 Rules-Requires-Root: no
-Build-Depends: bison, flex, gawk, procps, pkg-config, debhelper (>= 5), perl (>= 5.6), libreadline-dev | libreadline5-dev | libreadline-gplv2-dev, chrpath, libbsd-dev [kfreebsd-any], libkvm-dev [kfreebsd-any], python3-dev, python3-setuptools, libsasl2-dev, libuv1-dev, libssl-dev, libavahi-common-dev, qtbase5-dev, qtbase5-dev-tools, libqt5svg5-dev, qtchooser, autotools-dev, zlib1g-dev, autoconf, libclass-dbi-perl, libdbd-mysql-perl, python3-psycopg2, python3-openpyxl, dh-python, libpfm4-dev, libncurses5-dev, python3-six, python3-json-pointer, python3-requests, libextutils-autoinstall-perl, libxml-tokeparser-perl, librrds-perl, libjson-perl, libwww-perl, libnet-snmp-perl, liblzma-dev, systemd, systemd-dev | libsystemd-dev, python3-bpfcc [amd64 arm64 armhf ppc64el s390x ppc64], bpftrace (>= 0.9.2) [amd64 arm64 ppc64el], clang, llvm, libbpf-dev (>= 0.8.0), libibumad-dev, libibmad-dev, manpages
-Standards-Version: 3.9.3
-X-Python3-Version: >= 3.3
+Build-Depends: bison, flex, gawk, procps, pkg-config, debhelper (>= 5), perl (>= 5.6), libreadline-dev | libreadline5-dev | libreadline-gplv2-dev, chrpath, libbsd-dev [kfreebsd-any], libkvm-dev [kfreebsd-any], python3-dev, python3-setuptools, libsasl2-dev, libuv1-dev, libssl-dev, libavahi-common-dev, qtbase5-dev, qtbase5-dev-tools, libqt5svg5-dev, qtchooser, autotools-dev, zlib1g-dev, autoconf, libclass-dbi-perl, libdbd-mysql-perl, python3-psycopg2, python3-openpyxl, dh-python, libpfm4-dev, libncurses5-dev, python3-six, python3-json-pointer, python3-requests, libextutils-autoinstall-perl, libxml-tokeparser-perl, librrds-perl, libjson-perl, libwww-perl, libnet-snmp-perl, liblzma-dev, systemd, systemd-dev | libsystemd-dev, python3-bpfcc [amd64 arm64 armhf s390x ppc64], bpftrace (>= 0.9.2) [amd64 arm64], clang, llvm, libbpf-dev (>= 0.8.0), libibumad-dev, libibmad-dev, manpages
+Standards-Version: 4.7.2
+X-Python3-Version: >= 3.5
 
 Package: pcp
 Depends: ${shlibs:Depends}, ${misc:Depends}, gawk, procps, python3-pcp, python3, libpcp-pmda3 (= ${binary:Version}), libpcp-mmv1 (= ${binary:Version}), libpcp-web1 (= ${binary:Version}), libpcp-archive1 (= ${binary:Version}), libpcp3 (= ${binary:Version}), pcp-conf (= ${binary:Version})
 Recommends: libpcp-pmda-perl
 Conflicts: pgpool2, dstat, pcp-webapi, pcp-manager
-Suggests: pcp-gui, libpcp-import-perl, bpftrace (>= 0.9.2) [amd64 arm64 ppc64el], python3-bpfcc [amd64 arm64 armhf ppc64el s390x ppc64], redis-server
+Suggests: pcp-gui, libpcp-import-perl, bpftrace (>= 0.9.2) [amd64 arm64], python3-bpfcc [amd64 arm64 armhf s390x ppc64], redis-server, zstd
 Provides: dstat, pcp-webapi, pcp-manager
 Replaces: dstat, pcp-webapi, pcp-manager
 Architecture: any
@@ -262,3 +262,4 @@
 Section: libdevel
 Depends: ${misc:Depends}, libpcp-archive1 (= ${binary:Version}), libpcp3-dev
 Architecture: any
+Description: Performance Co-Pilot archive writing library and headers

=== debian/rules ===
--- 
+++ 
@@ -151,7 +151,8 @@
 uninstallpy = cat python*-pcp.list | sed -e "s,^,$(dirpcp)/," | xargs rm -fr
 uninstallpydir = ls -d $(dirpcp)/usr/lib*/python* | xargs rm -fr
 uninstalltest = cat $(dirpcp_testsuite).dirs | sed -e "s,^,debian/$(pcp)/," | xargs rm -fr
-uninstalldirs = rmdir $(dirpcp)/usr/include/pcp $(dirpcp)/usr/include $(dirpcp)/usr/share/man/man3 $(dirpcp)/usr/lib/pkgconfig
+uninstalldirs = rmdir $(dirpcp)/usr/include/pcp $(dirpcp)/usr/include $(dirpcp)/usr/share/man/man3
+uninstallpkgconfig = rm -f $(dirpcp)/usr/lib/*/pkgconfig/*
 uninstallib = cat $(dirpcp_pmda_infiniband).dirs | sed -e "s,^,$(dirpcp)/," | xargs rm -fr
 uninstallarrow = cat $(dirdoc).dirs | sed -e "s,^,$(dirpcp_export_arrow)/," | xargs rm -fr
 uninstallspark = cat $(dirdoc).dirs | sed -e "s,^,$(dirpcp_export_spark)/," | xargs rm -fr
@@ -161,4 +162,3 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
-build: build-arch build-indep
